"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveEntryOptions = void 0;
const devServer_1 = require("./devServer");
const path_1 = __importDefault(require("path"));
function resolveEntryOptions(options, context) {
    const additionDevEntry = context.dev ? (0, devServer_1.getAdditionDevEntry)() : [];
    if (typeof options === "undefined" || options === null) {
        return {
            main: [
                ...additionDevEntry,
                path_1.default.resolve(context.context, "src", "index.js")
            ]
        };
    }
    else if (typeof options === "string") {
        return {
            main: [...additionDevEntry, options]
        };
    }
    else if (Array.isArray(options)) {
        return {
            main: [...additionDevEntry, ...options]
        };
    }
    else if (typeof options === "object") {
        return Object.fromEntries(Object.entries({ ...options }).map(([key, value]) => {
            if (Array.isArray(value)) {
                return [key, [...additionDevEntry, ...value]];
            }
            else {
                return [key, [...additionDevEntry, value]];
            }
        }));
    }
    else {
        return {};
    }
}
exports.resolveEntryOptions = resolveEntryOptions;
//# sourceMappingURL=entry.js.map